QGIS Application - Bug report #5321
Inserting geometries using a WFS-T of ArcGIS Server
2012-04-05 05:11 AM - Falk Strobach

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WFS

Affected QGIS version:master Regression?: No

Operating System: Windows XP Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corrupls data: Copied to github as #: 15023
Description

If point geometries are inserted, which results in an error: "Error: An object is not inserted"
Error response:
<ows:ExceptionReport version="1.1.0" language="en" xmins:ows="http://www.opengis.net/ows">

<ows:Exception exceptionCode="InvalidParameterValue">

<ows:ExceptionText>Updates in a WFS Transaction request require a lockld. Use GetFeatureWithLock to acquire a lock before

attempting to update it.</ows:ExceptionText>

</ows:Exception>
</ows:ExceptionReport>

The WFS GetFeatureWithLock request, although described here:
http://help.arcgis.com/en/arcgisserver/10.0/help/arcgis_server_dotnet_help/index.html#//009300000059000000

Example WFS-T http://www.umwelt.sachsen.de/umwelt/infosysteme/wfs/services/wfst/pflanze?

Example Request via Fiddler:

http://www.umwelt.sachsen.de/umwelt/infosysteme/wfs/services/wist/pflanze ?SERVICE=WFS&#38;VERSION=1.0.0&#38;REQUEST=
RANSACTION

<Transaction xmIns="http://www.opengis.net/wfs"

xmins:xsi="http://www.w3.0rg/2001/XMLSchema-instance"

version="1.0.0"

service="WFS"

xsi:schemalocation="http://www.umwelt.sachsen.de/umwelt/infosysteme/wfs/services/wfst/pflanze
http://www.umwelt.sachsen.de/umwelt/infosysteme/wfs/services/wist/pflanze?SERVICE=WFS&amp;amp;VERSION=1.0.0&amp;amp;R
QUEST=DescribeFeatureType&amp;amp;TYPENAME=wfst pflanze-wfs:Pflanze&amp;amp;SRSNAME=EPSG:31468"

xmins:wfst_pflanze-wfs="http://www.umwelt.sachsen.de/umwelt/infosysteme/wfs/services/wist/pflanze">

<Insert>
<Pflanze xmiIns="http://www.umwelt.sachsen.de/umwelt/infosysteme/wfs/services/wfst/pflanze">
<OBJECTID>30</OBJECTID>
<ART_ID xmIns="http://www.umwelt.sachsen.de/umwelt/infosysteme/wfs/services/wfst/pflanze">20</ART_ID>
<GSTPFL_KEY xmins="http://www.umwelt.sachsen.de/umwelt/infosysteme/wfs/services/wfst/pflanze">20</GSTPFL_KEY>
<SHAPE xmins="http://www.umwelt.sachsen.de/umwelt/infosysteme/wfs/services/wfst/pflanze">
<Point xmiIns="http://www.opengis.net/gml" srsName="EPSG:31468">
<coordinates xmiIns="http://www.opengis.net/gml" cs="," ts=" ">4581956.4629,5667039.7808</coordinates>
</Point>
</SHAPE>
</Pflanze>
</Insert>
</Transaction>
Response:
http://help.arcgis.com/en/arcgisserver/10.0/help/arcgis_server_dotnet_help/index.html#//00930000005q000000
http://www.umwelt.sachsen.de/umwelt/infosysteme/wfs/services/wfst/pflanze?SERVICE=WFS&#38;VERSION=1.0.0&#38;REQUEST=TRANSACTION
http://www.umwelt.sachsen.de/umwelt/infosysteme/wfs/services/wfst/pflanze?SERVICE=WFS&#38;VERSION=1.0.0&#38;REQUEST=TRANSACTION
http://www.umwelt.sachsen.de/umwelt/infosysteme/wfs/services/wfst/pflanze?SERVICE=WFS&amp;amp;VERSION=1.0.0&amp;amp;REQUEST=DescribeFeatureType&amp;amp;TYPENAME=wfst_pflanze-wfs:Pflanze&amp;amp;SRSNAME=EPSG:31468
http://www.umwelt.sachsen.de/umwelt/infosysteme/wfs/services/wfst/pflanze?SERVICE=WFS&amp;amp;VERSION=1.0.0&amp;amp;REQUEST=DescribeFeatureType&amp;amp;TYPENAME=wfst_pflanze-wfs:Pflanze&amp;amp;SRSNAME=EPSG:31468

<wfs:TransactionResponse version="1.1.0" xmins:xs="http://www.w3.0rg/2001/XMLSchema" xmins:gml="http://www.opengis.net/gml"
xmins:ogc="http://www.opengis.net/ogc" xmins:wfs="http://www.opengis.net/wfs">
<wfs:TransactionSummary>
<wfs:totallnserted>1</wfs:totallnserted>
</wfs:TransactionSummary>
<wfs:InsertResults>
<wfs:Feature>
<ogc:Featureld fid="F543__1601"/>
</wfs:Feature>
</wfs:InsertResults>
</wfs:TransactionResponse>

History

#1 - 2012-06-29 04:35 AM - Falk Strobach

TEST-WFS-T: http://www.umwelt.sachsen.de/umwelt/infosysteme/wfs/services/wfst/bauwerke?version=1.0.0

#2 - 2012-09-04 11:53 AM - Paolo Cavallini
- Target version changed from Version 1.8.0 to Version 2.0.0

#3 - 2014-06-28 07:41 AM - Jiirgen Fischer
- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#4 - 2015-12-09 01:57 AM - Médéric RIBREUX

- Status changed from Open to Feedback

Hello, bug triage...

do you still have this bug in the WFS client of a recent version of QGIS (2.12.1 or master) ?
I can't find anything in the WFS provider code that match lock so | suspect the bug is still here.

If this is the case, we need to support GetFeatureWithLock WFS method in the WFS provider (and | think this is a feature request).

#5 - 2015-12-27 01:52 PM - Giovanni Manghi

- Status changed from Feedback to Open

#6 - 2017-01-06 12:28 AM - Giovanni Manghi

- Resolution set to not reproducable
- Status changed from Open to Closed

Closing for lack of feedback, please reopen if necessary.

Files

insert-point.xml 1.33 KB 2012-04-05 Falk Strobach
ExceptionReport.xml 361 Bytes 2012-04-05 Falk Strobach
Basis.qgs 10.8 KB 2012-04-05 Falk Strobach
